#ifndef SHARED_HEADER
#define SHARED_HEADER

#include <stdio.h>
#include "nodes.h"
#include <stdbool.h>

extern FILE * yyin;
extern FILE * yyout;
extern int yylineno;
extern char * yytext;
extern void yyerror(const char * string);
extern int yylex(void);
extern int yyparse(void);

// typedef enum {
//     false = 0,
//     true = 1
// } boolean;

typedef struct {
    bool succeed;

    // Agregar una pila para almacenar tokens/nodos.
    // Agregar un nodo hacia la raíz del árbol de sintaxis abstracta.
    // Agregar una tabla de símbolos.
    // ...
    Program * program;

} CompilerState;

extern CompilerState state;

#endif
