#ifndef FLEX_ACTIONS_HEADER
#define FLEX_ACTIONS_HEADER

#include "../../backend/support/shared.h"
#include "../syntactic-analysis/bison-parser.h"

// typedef enum TokenID {
//     UNKNOWN = 0,
//     YYUNDEF = 257,
//     ADD,
//     SUB,
//     MUL,
//     DIV,
//     POW,
//     FUNCTION,
//     IF,
//     ELSE,
//     FOR,
//     WHILE,
//     PRINT,
//     SEMICOLON,
//     COMPOSITE,
//     SQUOTE,
//     DERIVATIVE,
//     INTEGRATE,
//     BETWEEN,
//     AND_INT,
//     EVALUATE,
//     IN,
//     OPEN_BRACES,
//     OPEN_BRACKETS,
//     CLOSE_BRACES,
//     CLOSE_BRACKETS,
//     OPEN_PARENTHESIS,
//     CLOSE_PARENTHESIS,
//     ASSIGN,
//     EQUAL,
//     AND,
//     OR,
//     NOT,
//     ADD_ASSIGN,
//     INCREMENT,
//     SUB_ASSIGN,
//     DECREMENT,
//     MUL_ASSIGN,
//     DIV_ASSIGN,
//     DQUOTE,
//     COMMA,
//     COLON,
//     LESSER,
//     LESSER_EQUAL,
//     GREATER,
//     GREATER_EQUAL,
//     NOT_EQUAL,
//     VAR,
//     ERR,
//     ESCAPESTRING,
//     DOUBLE,
//     INTEGER,
//     ID
// } TokenID;

int IntegerPatternAction(const char * lexeme);
int DoublePatternAction(const char * lexeme);
void IgnoredPatternAction();
int UnknownPatternAction(const char * lexeme);
int	StringPatternAction(char * lexeme);
int	EscapeStringPatternAction(char * lexeme);

#endif
